module_version: 1.0

var:
  - name: input
    default: s3
  - name: queue_url
  - name: shared_credential_file
  - name: credential_profile_name
  - name: visibility_timeout
  - name: api_timeout
  - name: endpoint
  - name: access_key_id
  - name: secret_access_key
  - name: session_token
  - name: role_arn
  - name: tags
    default: [forwarded]
  - name: fips_enabled

ingest_pipeline: ingest/pipeline.yml
input: config/{{.input}}.yml

requires.processors:
- name: geoip
  plugin: ingest-geoip
